<?php

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Criterion extends Eloquent
{
	use SoftDeletingTrait;
	protected $dates = ['deleted_at'];

	protected $table = 'criteria';

	public function outcomes()
	{
		return $this->belongs('Outcome');
	}

	/**
	 * Return the program that the criterion belongs to
	 *
	 * @return Illuminate\Database\Eloquent\Model
	 */
	public function program()
	{
		return $this->belongsTo('Program');
	}

	public function subcriteria()
	{
		return json_decode($this->subcriteria);
	}

}
